Description

When a user clicks on Cancel button, dialog returns nothing/empty value.

Sometimes (i.e., in an Input Dialog) the user can leave an empty value, then Servoy can't distinguish between that empty value and
press cancel button.

| think that Cancel button must return null value, or a user-defined value (using a method like "setCancelButtonValue()")

History

#1 - 01/30/2014 01:05 PM - Harjo Kompagnie

What does the smart-client return in this situation? because we wan't that to be in sync!

#2 -01/31/2014 08:19 AM - Juan C. Cristobo

| don't use the module in smart client, but if it uses dialogs plugin, the plugin also returns nothing/empty value.

#3 - 01/31/2014 01:14 PM - Harjo Kompagnie

oke, than | don't think it's wise to change that behaviour, there are many projects using this module both in smart & web, so that would break than,
agree?

#4 - 01/31/2014 01:25 PM - Juan C. Cristobo

Perhaps a method like "setCancelButtonValue()", where the user can define other value than default, it won't break any current project...

#5 - 02/05/2014 11:40 AM - Juan C. Cristobo

Found an easy way:
Put this code anywhere (i.e., OnOpen Solution), before calling dialogs module:

solutionModel.getForm('dialogs_base') .getVariable ('returnValue') .defaultValue = null;

You can set every value that dialogs returns when you click on cancel button.
It only works on web client, | think...

#6 - 02/06/2014 10:47 AM - Harjo Kompagnie

- Status changed from New to Closed

OKke, that's a nice workaround indeed!

Will close this ticket!
